# Generated from commandos-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name commandos

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Commandos is a library to support the command design pattern
License: MIT
URL: https://github.com/mdelkins/commando
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-color)
# BuildRequires: rubygem(minitest-color) < 1
BuildArch: noarch

%description
Commandos is a library to help build the series of objects needed for the
command design pattern.  It can help wtih building commands, handlers to
execute commands, and command registries.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/commandos.gemspec
%{gem_instdir}/examples

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.5-1
- Initial package
